#######################################
# 定义模块块相关开关
#  注意可能需要修改端口及代码，配置文件
#######################################

Easylogger 				:= ON
MODBUS 					:= ON
# MODBUS_ASII				:= OFF
# MODBUS_IP				:= OFF

LVGL_On_Off				:= OFF
FPU_OnOff				:= ON

#######################################
# 中文编码支持
#######################################
CFLAGS += -fexec-charset=UTF-8 -finput-charset=UTF-8   -std=c99
LDFLAGS += -Wl,-u_printf_float
C_DEFS +=  -DUSE_USB_HS
#######################################
# FPU支持
# C_DEFS +=  -D__TARGET_FPU_VFP   -DARM_MATH_CM4  
# C_DEFS +=  -D__TARGET_FPU_VFP   -D__FPU_USED=1  -D__FPU_PRESENT=1 -DARM_MATH_CM4  
#######################################
ifeq ( $(FPU_OnOff), ON )
C_DEFS +=  -D__TARGET_FPU_VFP  -D__FPU_USED=1  -DARM_MATH_CM4  
endif

######################################
# 自己代码 base
######################################

C_SOURCES += $(wildcard *.c Code/base/Src/*.c)
C_INCLUDES += -ICode/base/Inc
C_SOURCES += $(wildcard *.c Code/device/Src/*.c)
C_INCLUDES += -ICode/device/Inc
C_SOURCES += $(wildcard *.c Code/libraries/Src/*.c)
C_INCLUDES += -ICode/libraries/Inc
C_SOURCES += $(wildcard *.c Code/touch/Src/*.c)
C_INCLUDES += -ICode/touch/Inc
C_SOURCES += $(wildcard *.c Code/UI/Src/*.c)
C_INCLUDES += -ICode/UI/Inc
# #######################################
# ### Easylogger 相关  
# Middlewares/Third_Party/easylogger
# #######################################
ifeq ($(Easylogger),ON)
C_SOURCES += $(wildcard *.c Code/port/easylogger/*.c)
C_INCLUDES += -ICode/port/easylogger
C_INCLUDES += -IMiddlewares/Third_Party/easylogger/inc
C_SOURCES += \
Middlewares/Third_Party/easylogger/src/elog.c \
Middlewares/Third_Party/easylogger/src/elog_utils.c \
Middlewares/Third_Party/easylogger/src/elog_buf.c \
Middlewares/Third_Party/easylogger/src/elog_async.c 
endif

 

# #######################################
# ### Modbus 相关
# #######################################
ifeq ($(MODBUS),ON)
C_SOURCES += $(wildcard *.c Code/port/FreeModbus/*.c)
C_INCLUDES += -ICode/port/FreeModbus
C_INCLUDES += -IMiddlewares/Third_Party/FreeModbus/include
C_INCLUDES += -IMiddlewares/Third_Party/FreeModbus/rtu
# C_INCLUDES += -IMiddlewares/Third_Party/FreeModbus/port
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/FreeModbus/functions/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/FreeModbus/rtu/*.c)
# C_SOURCES += $(wildcard *.c Middlewares/Third_Party/FreeModbus/port/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/FreeModbus/*.c)
endif


# #######################################
# ### LVGL 相关
# #######################################
ifeq ($(LVGL_On_Off),ON)
C_DEFS += -DLV_LVGL_H_INCLUDE_SIMPLE
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/*.c)
# C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/demos/*.c)
# C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/demos/benchmark/*.c)
# C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/demos/benchmark/assets/*.c)
# C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/demos/keypad_encoder/*.c)
# C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/demos/music/*.c)
# C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/demos/music/assets/*.c)
# C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/demos/stress/*.c)
# C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/demos/widgets/*.c)
# C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/demos/widgets/assets/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/examples/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/examples/anim/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/examples/arduino/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/examples/arduino/LVGL_Arduino/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/examples/assets/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/examples/assets/emoji/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/examples/assets/font/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/examples/event/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/examples/get_started/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/examples/layouts/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/examples/layouts/flex/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/examples/layouts/grid/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/examples/libs/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/examples/libs/bmp/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/examples/libs/ffmpeg/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/examples/libs/freetype/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/examples/libs/gif/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/examples/libs/png/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/examples/libs/qrcode/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/examples/libs/rlottie/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/examples/libs/sjpg/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/examples/others/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/examples/others/fragment/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/examples/others/gridnav/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/examples/others/ime/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/examples/others/imgfont/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/examples/others/monkey/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/examples/others/msg/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/examples/others/snapshot/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/examples/porting/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/examples/scroll/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/examples/styles/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/examples/widgets/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/examples/widgets/animimg/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/examples/widgets/arc/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/examples/widgets/bar/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/examples/widgets/btn/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/examples/widgets/btnmatrix/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/examples/widgets/calendar/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/examples/widgets/canvas/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/examples/widgets/chart/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/examples/widgets/checkbox/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/examples/widgets/colorwheel/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/examples/widgets/dropdown/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/examples/widgets/img/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/examples/widgets/imgbtn/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/examples/widgets/keyboard/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/examples/widgets/label/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/examples/widgets/led/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/examples/widgets/line/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/examples/widgets/list/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/examples/widgets/menu/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/examples/widgets/meter/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/examples/widgets/msgbox/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/examples/widgets/obj/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/examples/widgets/roller/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/examples/widgets/slider/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/examples/widgets/span/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/examples/widgets/spinbox/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/examples/widgets/spinner/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/examples/widgets/switch/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/examples/widgets/table/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/examples/widgets/tabview/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/examples/widgets/textarea/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/examples/widgets/tileview/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/examples/widgets/win/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/port/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/src/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/src/core/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/src/draw/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/src/draw/arm2d/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/src/draw/nxp/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/src/draw/nxp/pxp/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/src/draw/nxp/vglite/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/src/draw/renesas/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/src/draw/sdl/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/src/draw/stm32_dma2d/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/src/draw/sw/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/src/draw/swm341_dma2d/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/src/extra/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/src/extra/layouts/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/src/extra/layouts/flex/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/src/extra/layouts/grid/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/src/extra/libs/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/src/extra/libs/bmp/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/src/extra/libs/ffmpeg/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/src/extra/libs/freetype/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/src/extra/libs/fsdrv/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/src/extra/libs/gif/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/src/extra/libs/png/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/src/extra/libs/qrcode/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/src/extra/libs/rlottie/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/src/extra/libs/sjpg/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/src/extra/others/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/src/extra/others/fragment/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/src/extra/others/gridnav/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/src/extra/others/ime/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/src/extra/others/imgfont/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/src/extra/others/monkey/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/src/extra/others/msg/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/src/extra/others/snapshot/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/src/extra/themes/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/src/extra/themes/basic/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/src/extra/themes/default/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/src/extra/themes/mono/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/src/extra/widgets/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/src/extra/widgets/animimg/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/src/extra/widgets/calendar/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/src/extra/widgets/chart/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/src/extra/widgets/colorwheel/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/src/extra/widgets/imgbtn/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/src/extra/widgets/keyboard/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/src/extra/widgets/led/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/src/extra/widgets/list/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/src/extra/widgets/menu/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/src/extra/widgets/meter/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/src/extra/widgets/msgbox/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/src/extra/widgets/span/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/src/extra/widgets/spinbox/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/src/extra/widgets/spinner/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/src/extra/widgets/tabview/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/src/extra/widgets/tileview/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/src/extra/widgets/win/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/src/font/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/src/hal/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/src/misc/*.c)
C_SOURCES += $(wildcard *.c Middlewares/Third_Party/lvgl/src/widgets/*.c)
C_INCLUDES += -IMiddlewares/Third_Party/lvgl
# C_INCLUDES += -IMiddlewares/Third_Party/lvgl/demos
# C_INCLUDES += -IMiddlewares/Third_Party/lvgl/demos/benchmark
# C_INCLUDES += -IMiddlewares/Third_Party/lvgl/demos/benchmark/assets
# C_INCLUDES += -IMiddlewares/Third_Party/lvgl/demos/keypad_encoder
# C_INCLUDES += -IMiddlewares/Third_Party/lvgl/demos/music
# C_INCLUDES += -IMiddlewares/Third_Party/lvgl/demos/music/assets
# C_INCLUDES += -IMiddlewares/Third_Party/lvgl/demos/stress
# C_INCLUDES += -IMiddlewares/Third_Party/lvgl/demos/widgets
# C_INCLUDES += -IMiddlewares/Third_Party/lvgl/demos/widgets/assets
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/examples
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/examples/anim
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/examples/arduino
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/examples/arduino/LVGL_Arduino
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/examples/assets
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/examples/assets/emoji
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/examples/assets/font
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/examples/event
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/examples/get_started
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/examples/layouts
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/examples/layouts/flex
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/examples/layouts/grid
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/examples/libs
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/examples/libs/bmp
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/examples/libs/ffmpeg
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/examples/libs/freetype
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/examples/libs/gif
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/examples/libs/png
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/examples/libs/qrcode
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/examples/libs/rlottie
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/examples/libs/sjpg
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/examples/others
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/examples/others/fragment
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/examples/others/gridnav
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/examples/others/ime
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/examples/others/imgfont
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/examples/others/monkey
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/examples/others/msg
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/examples/others/snapshot
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/examples/porting
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/examples/scroll
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/examples/styles
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/examples/widgets
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/examples/widgets/animimg
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/examples/widgets/arc
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/examples/widgets/bar
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/examples/widgets/btn
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/examples/widgets/btnmatrix
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/examples/widgets/calendar
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/examples/widgets/canvas
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/examples/widgets/chart
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/examples/widgets/checkbox
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/examples/widgets/colorwheel
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/examples/widgets/dropdown
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/examples/widgets/img
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/examples/widgets/imgbtn
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/examples/widgets/keyboard
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/examples/widgets/label
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/examples/widgets/led
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/examples/widgets/line
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/examples/widgets/list
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/examples/widgets/menu
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/examples/widgets/meter
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/examples/widgets/msgbox
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/examples/widgets/obj
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/examples/widgets/roller
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/examples/widgets/slider
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/examples/widgets/span
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/examples/widgets/spinbox
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/examples/widgets/spinner
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/examples/widgets/switch
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/examples/widgets/table
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/examples/widgets/tabview
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/examples/widgets/textarea
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/examples/widgets/tileview
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/examples/widgets/win
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/port
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/src
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/src/core
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/src/draw
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/src/draw/arm2d
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/src/draw/nxp
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/src/draw/nxp/pxp
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/src/draw/nxp/vglite
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/src/draw/renesas
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/src/draw/sdl
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/src/draw/stm32_dma2d
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/src/draw/sw
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/src/draw/swm341_dma2d
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/src/extra
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/src/extra/layouts
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/src/extra/layouts/flex
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/src/extra/layouts/grid
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/src/extra/libs
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/src/extra/libs/bmp
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/src/extra/libs/ffmpeg
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/src/extra/libs/freetype
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/src/extra/libs/fsdrv
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/src/extra/libs/gif
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/src/extra/libs/png
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/src/extra/libs/qrcode
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/src/extra/libs/rlottie
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/src/extra/libs/sjpg
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/src/extra/others
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/src/extra/others/fragment
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/src/extra/others/gridnav
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/src/extra/others/ime
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/src/extra/others/imgfont
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/src/extra/others/monkey
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/src/extra/others/msg
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/src/extra/others/snapshot
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/src/extra/themes
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/src/extra/themes/basic
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/src/extra/themes/default
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/src/extra/themes/mono
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/src/extra/widgets
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/src/extra/widgets/animimg
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/src/extra/widgets/calendar
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/src/extra/widgets/chart
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/src/extra/widgets/colorwheel
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/src/extra/widgets/imgbtn
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/src/extra/widgets/keyboard
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/src/extra/widgets/led
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/src/extra/widgets/list
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/src/extra/widgets/menu
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/src/extra/widgets/meter
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/src/extra/widgets/msgbox
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/src/extra/widgets/span
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/src/extra/widgets/spinbox
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/src/extra/widgets/spinner
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/src/extra/widgets/tabview
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/src/extra/widgets/tileview
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/src/extra/widgets/win
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/src/font
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/src/hal
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/src/misc
C_INCLUDES += -IMiddlewares/Third_Party/lvgl/src/widgets
endif

